org.gjt.sp.jedit.browser

## Class VFSBrowser.DirectoriesOnlyFilter

- java.lang.Object
- - org.gjt.sp.jedit.browser.VFSBrowser.DirectoriesOnlyFilter

- All Implemented Interfaces:
    VFSFileFilter
  Enclosing class:
    VFSBrowser

      public static class VFSBrowser.DirectoriesOnlyFilter
      extends java.lang.Object
      implements VFSFileFilter

- - ### Field Summary

    - ### Fields inherited from interface org.gjt.sp.jedit.io.VFSFileFilter

      `SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSBrowser.DirectoriesOnlyFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.lang.String url)` Same thing as `VFSFileFilter.accept(VFSFile)` above, but operates on the raw URL instead of a VFSFile object.
    `boolean` | `accept(VFSFile file)` Should return whether the entry represented by the given URL should be listed in the browser view.
    `java.lang.String` | `getDescription()` Returns the description of the filter, to be used in the VFSBrowser window.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSBrowser.DirectoriesOnlyFilter

          public VFSBrowser.DirectoriesOnlyFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(VFSFile file)

      Description copied from interface: `VFSFileFilter`
      Should return whether the entry represented by the given URL should be listed in the browser view. Can be a file or a directory.
      Specified by:
        `accept` in interface `VFSFileFilter`

    - #### accept

          public boolean accept(java.lang.String url)

      Description copied from interface: `VFSFileFilter`
      Same thing as `VFSFileFilter.accept(VFSFile)` above, but operates on the raw URL instead of a VFSFile object.
      Specified by:
        `accept` in interface `VFSFileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `VFSFileFilter`
      Returns the description of the filter, to be used in the VFSBrowser window.
      Specified by:
        `getDescription` in interface `VFSFileFilter`